PaidGoods
API referenceCustomer account

Buy wholesale, paid from your balance

POST
/v1/public/stores/{storeId}/account/reseller/orders

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/public/stores/string/account/reseller/orders" \  -H "Content-Type: application/json" \  -d '{    "lines": [      {        "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf",        "qty": 1      }    ],    "idempotencyKey": "stringst"  }'
{  "order": {    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",    "number": -9007199254740991,    "uniqueId": "string",    "status": "string",    "channel": "panel",    "currency": "string",    "retailTotalMinor": -9007199254740991,    "wholesaleTotalMinor": -9007199254740991,    "autoRefundedMinor": -9007199254740991,    "tierName": "string",    "items": [      {        "name": "string",        "qty": -9007199254740991      }    ],    "invoiceUrl": "string",    "createdAt": "string"  },  "created": true,  "balanceMinor": -9007199254740991}